Bug 228390 - dns/unbound: Fix checkconf when unbound_conf is set
Summary: dns/unbound: Fix checkconf when unbound_conf is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-05-21 08:13 UTC by Bernard Spil
Modified: 2018-06-06 18:49 UTC (History)
1 user (show)

See Also:
jaap: maintainer-feedback+
koobs: merge-quarterly?


Attachments
svn diff for dns/unbound (683 bytes, patch)
2018-05-21 08:13 UTC, Bernard Spil
koobs: maintainer-approval? (jaap)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-05-21 08:13:51 UTC
Created attachment 193588 [details]
svn diff for dns/unbound

When unbound_conf is set in rc.conf, there's an ordering error in the rc script.
${unbound_conf} is used in precmd which is defined before unbound_conf is defined effectively always testing against the default unbound.conf which is compiled-in.

```
dns/unbound: Fix errors when unbound_conf is set

PR:
Approved by: (maintainer)
```
Comment 1 Jaap Akkerhuis 2018-05-21 11:52:16 UTC
(In reply to Bernard Spil from comment #0)
Looks fine to me, go ahead.

    jaap
Comment 2 commit-hook freebsd_committer 2018-05-21 19:28:53 UTC
A commit references this bug:

Author: brnrd
Date: Mon May 21 19:28:28 UTC 2018
New revision: 470572
URL: https://svnweb.freebsd.org/changeset/ports/470572

Log:
  dns/unbound: Fix errors when unbound_conf is set

  PR:		228390
  Approved by:	maintainer <jaap NLnetLabs nl>

  MFH:		2018Q2

Changes:
  head/dns/unbound/files/unbound.in
Comment 3 Bernard Spil freebsd_committer 2018-05-21 19:30:57 UTC
Thanks Jaap! Committed.
Comment 4 commit-hook freebsd_committer 2018-05-22 16:43:00 UTC
A commit references this bug:

Author: brnrd
Date: Tue May 22 16:42:55 UTC 2018
New revision: 470626
URL: https://svnweb.freebsd.org/changeset/ports/470626

Log:
  dns/unbound: Bump portrevision

   - Follow-up of r470572

  PR:		228390
  Reported by:	adamw
  MFH:		2018Q2

Changes:
  head/dns/unbound/Makefile
Comment 5 commit-hook freebsd_committer 2018-06-06 18:49:11 UTC
A commit references this bug:

Author: brnrd
Date: Wed Jun  6 18:48:09 UTC 2018
New revision: 471876
URL: https://svnweb.freebsd.org/changeset/ports/471876

Log:
  MFH: r470572

  dns/unbound: Fix errors when unbound_conf is set

  PR:		228390
  Approved by:	maintainer <jaap NLnetLabs nl>

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/dns/unbound/files/unbound.in